Package org.kapott.hbci.sepa.jaxb.camt_052_001_09

# Class FinancialInstrumentQuantity1Choice

java.lang.Object
org.kapott.hbci.sepa.jaxb.camt_052_001_09.FinancialInstrumentQuantity1Choice

public class FinancialInstrumentQuantity1Choice extends Object

Java class for FinancialInstrumentQuantity1Choice complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="FinancialInstrumentQuantity1Choice">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <choice>
             <element name="Unit" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.09}DecimalNumber"/>
             <element name="FaceAmt" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.09}ImpliedCurrencyAndAmount"/>
             <element name="AmtsdVal" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.09}ImpliedCurrencyAndAmount"/>
           </choice>
         </restriction>
       </complexContent>
     </complexType>

## Field Summary

Fields
Modifier and Type
Field
Description
`protected BigDecimal`
`amtsdVal`
`protected BigDecimal`
`faceAmt`
`protected BigDecimal`
`unit`

## Constructor Summary

Constructors
Constructor
Description
`FinancialInstrumentQuantity1Choice()`

## Method Summary

Modifier and Type
Method
Description
`BigDecimal`
`getAmtsdVal()`
Gets the value of the amtsdVal property.
`BigDecimal`
`getFaceAmt()`
Gets the value of the faceAmt property.
`BigDecimal`
`getUnit()`
Gets the value of the unit property.
`void`
`setAmtsdVal(BigDecimal value)`
Sets the value of the amtsdVal property.
`void`
`setFaceAmt(BigDecimal value)`
Sets the value of the faceAmt property.
`void`
`setUnit(BigDecimal value)`
Sets the value of the unit property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### unit

protected BigDecimal unit

### faceAmt

protected BigDecimal faceAmt

### amtsdVal

protected BigDecimal amtsdVal

## Constructor Details

### FinancialInstrumentQuantity1Choice

public FinancialInstrumentQuantity1Choice()

## Method Details

### getUnit

public BigDecimal getUnit()
Gets the value of the unit property.

Returns:
  possible object is `BigDecimal`

### setUnit

public void setUnit(BigDecimal value)
Sets the value of the unit property.

Parameters:
  `value` - allowed object is `BigDecimal`

### getFaceAmt

public BigDecimal getFaceAmt()
Gets the value of the faceAmt property.

Returns:
  possible object is `BigDecimal`

### setFaceAmt

public void setFaceAmt(BigDecimal value)
Sets the value of the faceAmt property.

Parameters:
  `value` - allowed object is `BigDecimal`

### getAmtsdVal

public BigDecimal getAmtsdVal()
Gets the value of the amtsdVal property.

Returns:
  possible object is `BigDecimal`

### setAmtsdVal

public void setAmtsdVal(BigDecimal value)
Sets the value of the amtsdVal property.

Parameters:
  `value` - allowed object is `BigDecimal`